#ifndef C_P1CAMERA_COMMON_DEFS_H
#define C_P1CAMERA_COMMON_DEFS_H

/**
* @file P1CameraSdkCommonDefs.h
*/

namespace P1
{
namespace CameraSdk
{
	typedef int CameraId;


	// We need to explicitly assign values since we need to know the values explicit from other languages
	// like C# interoperbility
	enum LiveViewBitmapFormat
	{
		kLiveViewFormat_UNDEFINED = 0,
		kLiveViewFormat_RGB24 = 1
	};

} // Namespace CameraSdk
} // Namespace P1

#endif // C_P1CAMERA_COMMON_DEFS_H
