#ifndef C_P1CAMERA_COMMON_LINKAGE_H
#define C_P1CAMERA_COMMON_LINKAGE_H

#ifndef EXPORT_API
#	if defined(_MSC_VER) // MSVC uses special DLL export attributes
#		ifdef P1MAKEDLL
#			define EXPORT_API __declspec(dllexport)
#		else // not exporting
#			if defined(_P1_SDK_STATIC)
#				define EXPORT_API 
#			else
#				define EXPORT_API __declspec(dllimport) // users import symbol from extern DLL
#			endif
#		endif
#	else // GCC + Clang
#		define EXPORT_API
#	endif
#endif // already defined

#endif // C_P1CAMERA_COMMON_LINKAGE_H